# The COPYRIGHT file at the top level of this repository contains the full
# copyright notices and license terms.
from trytond.pool import Pool
from .configuration import (Configuration, ConfigurationSequence,
    ConfigurationULProductionType)
from .unit_load import (UnitLoad, UnitLoadMove, MoveUnitLoad,
    MoveUnitLoadStart, UnitLoadLabel, DropUnitLoad,
    DropUnitLoadStart, DropUnitLoadFailed, DropUnitLoadFailedProduct,
    BatchDropUnitLoad, BatchDropUnitLoadData, BatchDropUnitLoadConfirm)
from .stock import (Move, UnitLoadsByLocations,
                    UnitLoadsByLocationsStart)
from .shipment import ShipmentOut, ShipmentInternal


def register():
    Pool.register(
        Configuration,
        ConfigurationSequence,
        ConfigurationULProductionType,
        UnitLoad,
        UnitLoadMove,
        Move,
        MoveUnitLoadStart,
        DropUnitLoadStart,
        DropUnitLoadFailed,
        DropUnitLoadFailedProduct,
        UnitLoadsByLocationsStart,
        ShipmentOut,
        ShipmentInternal,
        BatchDropUnitLoadData,
        BatchDropUnitLoadConfirm,
        module='stock_unit_load', type_='model')
    Pool.register(
        MoveUnitLoad,
        DropUnitLoad,
        UnitLoadsByLocations,
        BatchDropUnitLoad,
        module='stock_unit_load', type_='wizard')
    Pool.register(
        UnitLoadLabel,
        module='stock_unit_load', type_='report')
